.logo img {
    max-height: 70px;
    margin-right: 6px;
}
.logo.big img{
    max-height: 180px;
    width: auto;
}

main.login{
    background-color: #001B6C;
}

.btn-guardar {
    POSITION: fixed;
    bottom: 15px;
    right: 60px;
    border: solid #001B6C;
}

.sui-grid{
    border: solid #001B6C 1px;
}
.grid .sui-gridcontent {
    max-height: 50vh;
    width: 100%;
    overflow-y: auto !important;
    overflow-x: auto !important;
}

tr.disabled {
    background: #ffede8;
    border-left: 2px solid #ff660d;
}


.grid-dynamic{
    width: 100%;
    overflow-x: auto;
    overflow-y: auto;
}
.grid-dynamic table{
    width:  fit-content !important;
    max-height: 100px;
}
.grid-dynamic td.sui-cell, .grid-dynamic th.sui-headercell{
    width:  170px  !important;
}

/* Loading overlay styles */
#loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Translucent background */
    z-index: 9999;
    display: none; /* Initially hidden */
}

.loading-spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 4px solid rgba(255, 255, 255, 0.3);
    border-radius: 50%;
    border-top: 4px solid #ffffff;
    width: 40px;
    height: 40px;
    animation: spin 1s linear infinite;
}

/* Animation keyframes */
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

